

#include "BUILTIN.h"

#include "Char.h"

#include "Nat.h"

#include "Int.h"
extern OBJ _AString_49(OBJ);extern OBJ __AString_49;
extern OBJ _ACom_23(OBJ);extern OBJ __ACom_23;
extern OBJ __ASeq_6;
extern OBJ _ASeq_51(OBJ,OBJ);extern OBJ __ASeq_51;
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AComCompose_6(OBJ,OBJ);extern OBJ __AComCompose_6;
extern OBJ __AComAction_1;

#include "File.h"

#define __AFile_AreadLines_O1_L64 __AFile_64
#define _AFile_AreadLines_O1_L64 _AFile_64
#define AFile_64 AFile_AreadLines_O1_L64
extern OBJ __AFile_AreadLines_O1_L64;
extern OBJ _AFile_AreadLines_O1_L64(OBJ,OBJ,OBJ);

#define __AFile_AreadLines_O1_L65 __AFile_65
#define _AFile_AreadLines_O1_L65 _AFile_65
#define AFile_65 AFile_AreadLines_O1_L65
extern OBJ __AFile_AreadLines_O1_L65;
extern OBJ _AFile_AreadLines_O1_L65(OBJ,OBJ,OBJ);
OBJ __AFile_AfromEnd; /* fromEnd */
extern OBJ _AFile_AfromEnd_(OBJ);OBJ __AFile_AfromEnd_; /* fromEnd? */
OBJ __AFile_AfromCurrent; /* fromCurrent */
extern OBJ _AFile_AfromCurrent_(OBJ);OBJ __AFile_AfromCurrent_; /* fromCurrent? */
OBJ __AFile_AfromStart; /* fromStart */
extern OBJ _AFile_AfromStart_(OBJ);OBJ __AFile_AfromStart_; /* fromStart? */
OBJ __AFile_AstdIn; /* stdIn */
OBJ __AFile_AstdOut; /* stdOut */
OBJ __AFile_AstdErr; /* stdErr */
extern OBJ _AFile_Aopen(OBJ,OBJ);OBJ __AFile_Aopen; /* open */
extern OBJ _AFile_Areopen(OBJ,OBJ,OBJ);OBJ __AFile_Areopen; /* reopen */
extern OBJ _AFile_Aclose(OBJ);OBJ __AFile_Aclose; /* close */
extern OBJ _AFile_Aeof_(OBJ);OBJ __AFile_Aeof_; /* eof? */
extern OBJ _AFile_Atell(OBJ);OBJ __AFile_Atell; /* tell */
extern OBJ _AFile_Aseek(OBJ,OBJ,OBJ);OBJ __AFile_Aseek; /* seek */
extern OBJ _AFile_Arewind(OBJ);OBJ __AFile_Arewind; /* rewind */
extern OBJ _AFile_Aread(OBJ);OBJ __AFile_Aread; /* read */
extern OBJ _AFile_Aunread(OBJ,OBJ);OBJ __AFile_Aunread; /* unread */
extern OBJ _AFile_Aread_O1(OBJ,OBJ);OBJ __AFile_Aread_O1; /* read,1 */
extern OBJ _AFile_Aread_O2(OBJ,OBJ);OBJ __AFile_Aread_O2; /* read,2 */
extern OBJ _AFile_AreadLine(OBJ);OBJ __AFile_AreadLine; /* readLine */
extern OBJ _AFile_AreadLines(OBJ);OBJ __AFile_AreadLines; /* readLines */
extern OBJ _AFile_Awrite(OBJ,OBJ);OBJ __AFile_Awrite; /* write */
extern OBJ _AFile_Awrite_O1(OBJ,OBJ);OBJ __AFile_Awrite_O1; /* write,1 */
extern OBJ _AFile_Awrite_O2(OBJ,OBJ);OBJ __AFile_Awrite_O2; /* write,2 */
extern OBJ _AFile_AwriteLine(OBJ,OBJ);OBJ __AFile_AwriteLine; /* writeLine */
extern OBJ _AFile_AwriteLine_O1(OBJ,OBJ);OBJ __AFile_AwriteLine_O1; /* writeLine,1 */
extern OBJ _AFile_AwriteLines(OBJ,OBJ);OBJ __AFile_AwriteLines; /* writeLines */
extern OBJ _AFile_Aflush(OBJ);OBJ __AFile_Aflush; /* flush */
extern OBJ _AFile_Aerror_(OBJ);OBJ __AFile_Aerror_; /* error? */
extern OBJ _AFile_Asize(OBJ);OBJ __AFile_Asize; /* size */
OBJ __AFile_Aprimitive; /* primitive */
extern OBJ _AFile_Aprimitive_(OBJ);OBJ __AFile_Aprimitive_; /* primitive? */
extern OBJ _AFile_Axopen(OBJ,OBJ,OBJ);OBJ __AFile_Axopen; /* xopen */
extern OBJ _AFile_Axreopen(OBJ,OBJ,OBJ,OBJ);OBJ __AFile_Axreopen; /* xreopen */
extern OBJ _AFile_Axflush(OBJ,OBJ);OBJ __AFile_Axflush; /* xflush */
extern OBJ _AFile_Axclose(OBJ,OBJ);OBJ __AFile_Axclose; /* xclose */
extern OBJ _AFile_Axeof_(OBJ,OBJ);OBJ __AFile_Axeof_; /* xeof? */
extern OBJ _AFile_Axerror_(OBJ,OBJ);OBJ __AFile_Axerror_; /* xerror? */
extern OBJ _AFile_Axsize(OBJ,OBJ);OBJ __AFile_Axsize; /* xsize */
extern OBJ _AFile_Axtell(OBJ,OBJ);OBJ __AFile_Axtell; /* xtell */
extern OBJ _AFile_Axseek(OBJ,OBJ,OBJ,OBJ);OBJ __AFile_Axseek; /* xseek */
extern OBJ _AFile_Axrewind(OBJ,OBJ);OBJ __AFile_Axrewind; /* xrewind */
extern OBJ _AFile_AxunreadChar(OBJ,OBJ,OBJ);OBJ __AFile_AxunreadChar; /* xunreadChar */
extern OBJ _AFile_AxreadChar(OBJ,OBJ);OBJ __AFile_AxreadChar; /* xreadChar */
extern OBJ _AFile_AxreadString(OBJ,OBJ,OBJ);OBJ __AFile_AxreadString; /* xreadString */
extern OBJ _AFile_AxreadWhile(OBJ,OBJ,OBJ);OBJ __AFile_AxreadWhile; /* xreadWhile */
extern OBJ _AFile_AxreadLine(OBJ,OBJ);OBJ __AFile_AxreadLine; /* xreadLine */
extern OBJ _AFile_AreadLines_O1(OBJ,OBJ);OBJ __AFile_AreadLines_O1; /* readLines,1 */
extern OBJ _AFile_AxwriteChar(OBJ,OBJ,OBJ);OBJ __AFile_AxwriteChar; /* xwriteChar */
extern OBJ _AFile_AxwriteString(OBJ,OBJ,OBJ);OBJ __AFile_AxwriteString; /* xwriteString */
extern OBJ _AFile_AxwriteLine(OBJ,OBJ,OBJ);OBJ __AFile_AxwriteLine; /* xwriteLine */
extern OBJ _AFile_AreadLines_O1_L64(OBJ,OBJ,OBJ);OBJ __AFile_AreadLines_O1_L64; /* readLines,1'64 */
extern OBJ _AFile_AreadLines_O1_L65(OBJ,OBJ,OBJ);OBJ __AFile_AreadLines_O1_L65; /* readLines,1'65 */

#include "File.hc.c"

extern OBJ _AFile_AfromEnd_(OBJ x1) /* fromEnd? */
{OBJ r;
 if(ISTGPRM(x1,2)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AFile_AfromCurrent_(OBJ x1) /* fromCurrent? */
{OBJ r;
 if(ISTGPRM(x1,1)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AFile_AfromStart_(OBJ x1) /* fromStart? */
{OBJ r;
 if(ISTGPRM(x1,0)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AFile_Aopen(OBJ x1,OBJ x2) /* open */
{OBJ r;
 CPCLS(__AFile_Axopen,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_Axopen,2))(__AFile_Axopen,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Areopen(OBJ x1,OBJ x2,OBJ x3) /* reopen */
{OBJ r;
 CPCLS(__AFile_Axreopen,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AFile_Axreopen,3))(__AFile_Axreopen,x1,x2,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aclose(OBJ x1) /* close */
{OBJ r;
 CPCLS(__AFile_Axclose,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axclose,1))(__AFile_Axclose,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aeof_(OBJ x1) /* eof? */
{OBJ r;
 CPCLS(__AFile_Axeof_,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axeof_,1))(__AFile_Axeof_,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Atell(OBJ x1) /* tell */
{OBJ r;
 CPCLS(__AFile_Axtell,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axtell,1))(__AFile_Axtell,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aseek(OBJ x1,OBJ x2,OBJ x3) /* seek */
{OBJ r;
 CPCLS(__AFile_Axseek,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AFile_Axseek,3))(__AFile_Axseek,x1,x2,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Arewind(OBJ x1) /* rewind */
{OBJ r;
 CPCLS(__AFile_Axrewind,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axrewind,1))(__AFile_Axrewind,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aread(OBJ x1) /* read */
{OBJ r;
 CPCLS(__AFile_AxreadChar,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_AxreadChar,1))(__AFile_AxreadChar,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aunread(OBJ x1,OBJ x2) /* unread */
{OBJ r;
 CPCLS(__AFile_AxunreadChar,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxunreadChar,2))(__AFile_AxunreadChar,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aread_O1(OBJ x1,OBJ x2) /* read,1 */
{OBJ r;
 CPCLS(__AFile_AxreadString,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxreadString,2))(__AFile_AxreadString,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aread_O2(OBJ x1,OBJ x2) /* read,2 */
{OBJ r;
 CPCLS(__AFile_AxreadWhile,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxreadWhile,2))(__AFile_AxreadWhile,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_AreadLine(OBJ x1) /* readLine */
{OBJ r;
 CPCLS(__AFile_AxreadLine,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_AxreadLine,1))(__AFile_AxreadLine,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_AreadLines(OBJ x1) /* readLines */
{OBJ r;
 AFile_AreadLines_O1(x1,__ASeq_6,r);
 return r;}

extern OBJ _AFile_Awrite(OBJ x1,OBJ x2) /* write */
{OBJ r;
 CPCLS(__AFile_AxwriteChar,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxwriteChar,2))(__AFile_AxwriteChar,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Awrite_O1(OBJ x1,OBJ x2) /* write,1 */
{OBJ r;
 CPCLS(__AFile_AxwriteString,1);
 {OBJ x3;OBJ x4;
  x3=_AString_49(x2);
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxwriteString,2))(__AFile_AxwriteString,x1,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Awrite_O2(OBJ x1,OBJ x2) /* write,2 */
{OBJ r;
 CPCLS(__AFile_AxwriteString,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxwriteString,2))(__AFile_AxwriteString,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_AwriteLine(OBJ x1,OBJ x2) /* writeLine */
{OBJ r;
 CPCLS(__AFile_AxwriteLine,1);
 {OBJ x3;OBJ x4;
  x3=_AString_49(x2);
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxwriteLine,2))(__AFile_AxwriteLine,x1,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_AwriteLine_O1(OBJ x1,OBJ x2) /* writeLine,1 */
{OBJ r;
 CPCLS(__AFile_AxwriteLine,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxwriteLine,2))(__AFile_AxwriteLine,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_AwriteLines(OBJ x1,OBJ x2) /* writeLines */
{OBJ r;
 if(ISPRM(x2)){
  CPPRD(__AComAction_1,1);
  r=__AComAction_1;
 }else{
  {OBJ x23=FLD1(x2,1);OBJ x24=FLD1(x2,2);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    COPY(x23,1);COPY(x24,1);
    FRPRD(x2,1);}
   CPCLS(__AFile_AxwriteLine,1);
   {OBJ x27;OBJ x26;OBJ x28;
    x27=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AxwriteLine,2))(__AFile_AxwriteLine,x1,x23);
    AFile_AwriteLines(x1,x24,x26);
    PRD(2,0,x28);FLD(x28,1)=x27;FLD(x28,2)=__ASeq_6;
    r=_AComCompose_6(x28,x26);}}}
 return r;}

extern OBJ _AFile_Aflush(OBJ x1) /* flush */
{OBJ r;
 CPCLS(__AFile_Axflush,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axflush,1))(__AFile_Axflush,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aerror_(OBJ x1) /* error? */
{OBJ r;
 CPCLS(__AFile_Axerror_,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axerror_,1))(__AFile_Axerror_,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Asize(OBJ x1) /* size */
{OBJ r;
 CPCLS(__AFile_Axsize,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axsize,1))(__AFile_Axsize,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AFile_Aprimitive_(OBJ x1) /* primitive? */
{OBJ r;
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AFile_AreadLines_O1(OBJ x1,OBJ x2) /* readLines,1 */
{OBJ r;
 CPCLS(__AFile_Axeof_,1);
 CPCLS(__AFile_AreadLines_O1_L65,1);
 {OBJ x3;OBJ x4;OBJ x5;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_Axeof_,1))(__AFile_Axeof_,x1);
  PRD(2,0,x4);FLD(x4,1)=x3;FLD(x4,2)=__ASeq_6;
  x5=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AreadLines_O1_L65,2))(__AFile_AreadLines_O1_L65,x1,x2);
  r=_AComCompose_5(x4,x5);}
 return r;}

extern OBJ _AFile_AreadLines_O1_L64(OBJ x1,OBJ x2,OBJ x3) /* readLines,1'64 */
{OBJ r;
 {OBJ x4;
  PRD1(2,x4);FLD1(x4,1)=x3;FLD1(x4,2)=x2;
  AFile_AreadLines_O1(x1,x4,r);}
 return r;}

extern OBJ _AFile_AreadLines_O1_L65(OBJ x1,OBJ x2,OBJ x3) /* readLines,1'65 */
{OBJ r;
 if(ISTGPRM(x3,1)){
  {OBJ x4;
   x4=_ASeq_51(x2,__ASeq_6);
   r=_ACom_23(x4);}
 }else{
  CPCLS(__AFile_AxreadLine,1);
  CPCLS(__AFile_AreadLines_O1_L64,1);
  {OBJ x5;OBJ x6;OBJ x7;
   x5=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFile_AxreadLine,1))(__AFile_AxreadLine,x1);
   PRD(2,0,x6);FLD(x6,1)=x5;FLD(x6,2)=__ASeq_6;
   x7=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AFile_AreadLines_O1_L64,2))(__AFile_AreadLines_O1_L64,x1,x2);
   r=_AComCompose_5(x6,x7);}}
 return r;}





static OBJ _mt_4_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,3);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 return r;}

static OBJ _mt_4_3_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),t1);
 return r;}
static OBJ _mt_4_3_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

init_AFile()
{
 static int visited=0; if(visited) return; visited=1;
 init_AChar();
 init_AVoid();
 init_ANat();
 init_AInt();
 init_AString();
 init_ACom();
 init_ASeq();
 init_AOption();
 init_AComCompose();
 init_AComAction();
 init_AUnixFailures();
 init_ASeqMap();
 init_AEQUALITY();
 CLS(1,_AFile_31,__AFile_31);
 CLS(3,_AFile_63,__AFile_63);
 CLS(2,_AFile_30,__AFile_30);
 CLS(3,_AFile_62,__AFile_62);
 CLS(2,_AFile_29,__AFile_29);
 CLS(3,_AFile_61,__AFile_61);
 CLS(2,_AFile_28,__AFile_28);
 CLS(2,_AFile_60,__AFile_60);
 CLS(2,_AFile_27,__AFile_27);
 CLS(2,_AFile_59,__AFile_59);
 CLS(2,_AFile_26,__AFile_26);
 CLS(3,_AFile_58,__AFile_58);
 CLS(2,_AFile_25,__AFile_25);
 CLS(3,_AFile_57,__AFile_57);
 CLS(1,_AFile_24,__AFile_24);
 CLS(2,_AFile_56,__AFile_56);
 CLS(1,_AFile_23,__AFile_23);
 CLS(3,_AFile_55,__AFile_55);
 CLS(2,_AFile_22,__AFile_22);
 CLS(2,_AFile_54,__AFile_54);
 CLS(2,_AFile_21,__AFile_21);
 CLS(4,_AFile_53,__AFile_53);
 CLS(2,_AFile_20,__AFile_20);
 CLS(2,_AFile_52,__AFile_52);
 CLS(1,_AFile_19,__AFile_19);
 CLS(2,_AFile_51,__AFile_51);
 CLS(1,_AFile_18,__AFile_18);
 CLS(2,_AFile_50,__AFile_50);
 CLS(3,_AFile_17,__AFile_17);
 CLS(2,_AFile_49,__AFile_49);
 CLS(1,_AFile_16,__AFile_16);
 CLS(2,_AFile_48,__AFile_48);
 CLS(1,_AFile_15,__AFile_15);
 CLS(2,_AFile_47,__AFile_47);
 CLS(1,_AFile_14,__AFile_14);
 CLS(4,_AFile_46,__AFile_46);
 CLS(3,_AFile_13,__AFile_13);
 CLS(3,_AFile_45,__AFile_45);
 CLS(2,_AFile_12,__AFile_12);
 CLS(1,_AFile_41,__AFile_41);
 CLS(1,_AFile_7,__AFile_7);
 CLS(1,_AFile_5,__AFile_5);
 CLS(1,_AFile_3,__AFile_3);
 CLS(3,_AFile_65,__AFile_65);
 CLS(1,_AFile_33,__AFile_33);
 CLS(3,_AFile_64,__AFile_64);
 CLS(1,_AFile_32,__AFile_32);
 MTH(4,0,3,_mt_4_0_3);LZYMTH(4,0,3,_mt_4_0_3);
 MTH(4,3,1,_mt_4_3_1);LZYMTH(4,3,1,_mt_4_3_1_l);
 init_const_AFile();
 /* __AFile_AfromEnd */
 PRM(2,__AFile_AfromEnd);
 /* __AFile_AfromCurrent */
 PRM(1,__AFile_AfromCurrent);
 /* __AFile_AfromStart */
 PRM(0,__AFile_AfromStart);
 /* __AFile_Aprimitive */
 PRM1(__AFile_Aprimitive);}

